JMKMF(1)

NAME
jmkmf - runs jmake with the correct options

SYNOPSIS
jmkmf [ top-level dir [ current dir ] ]

DESCRIPTION
Jmkmf is a wrapper which calls jmake with the correct options, defining the symbols TOPDIR (location of the top-level directory) and CURDIR (current directory). The generated Makefile.SH is then ran through /bin/sh to produce a Makefile.

Jmkmf is useful when you generate a makefile for the first time. Once you have a Makefile.SH generated by jmake, you can use make Makefile.SH to build the Makefile.SH again and make Makefile to run the Makefile.SH through /bin/sh. To use the recursive commands, you have to append an 's' at the end of the name as in make Makefiles.SH and make Makefiles.

AUTHOR
Raphael Manfredi <ram@hptnos02.grenoble.hp.com>

FILES
Jmakefile
    High level description of makefile

SEE ALSO
jmake(1).